Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.cassandra.pipeline
Class VtkObjectListModel

    java.lang.Object
      javax.swing.AbstractListModel
          com.artenum.cassandra.pipeline.VtkObjectListModel

All Implemented Interfaces:
  javax.swing.ListCellRenderer, javax.swing.ListModel, java.io.Serializable

public class VtkObjectListModel
extends javax.swing.AbstractListModel
implements javax.swing.ListCellRenderer

     Project ref           : CASSANDRA project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : A ListModel model made for VtkObjects

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`VtkObjectListModel(int modelType)`

Method Summary
`void` | `addVtkObject(VtkObject vtkObject)`
`java.util.Collection` | `getData()`
`java.lang.Object` | `getElementAt(int index)`
`VtkObject` | `getLastVtkObject()`
`java.awt.Component` | `getListCellRendererComponent(javax.swing.JList list, java.lang.Object value, int index, boolean isSelected, boolean cellHasFocus)`
`int` | `getSize()`
`VtkObject` | `getVtkObject(int index)`
`VtkObject` | `getVtkObject(java.lang.Object encapsulateObject)`
`int` | `getVtkObjectIndex(VtkObject vtkObject)`
`void` | `removeVtkObject(VtkObject vtkObject)`
`void` | `setPrefference(java.awt.Color selectedColor, java.awt.Color defaultColor, boolean showTypeError)`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VtkObjectListModel

    public VtkObjectListModel(int modelType)

Method Detail

### setPrefference

    public void setPrefference(java.awt.Color selectedColor,
                               java.awt.Color defaultColor,
                               boolean showTypeError)

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### addVtkObject

    public void addVtkObject(VtkObject vtkObject)

### removeVtkObject

    public void removeVtkObject(VtkObject vtkObject)

### getVtkObject

    public VtkObject getVtkObject(int index)

### getVtkObject

    public VtkObject getVtkObject(java.lang.Object encapsulateObject)

### getVtkObjectIndex

    public int getVtkObjectIndex(VtkObject vtkObject)

### getLastVtkObject

    public VtkObject getLastVtkObject()

### getListCellRendererComponent

    public java.awt.Component getListCellRendererComponent(javax.swing.JList list,
                                                           java.lang.Object value,
                                                           int index,
                                                           boolean isSelected,
                                                           boolean cellHasFocus)

  Specified by:
    `getListCellRendererComponent` in interface `javax.swing.ListCellRenderer`

### getData

    public java.util.Collection getData()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com